//常见下拉框集合
//是否
export const isNotList = [
    {id: '', value: '全部'},
    {id: '1', value: '是'},
    {id: '0', value: '否'}
]

//接收状态
export const receiveStatusList = [
    {id: '', value: '全部'},
    {id: '1', value: '未验收'},
    {id: '2', value: '已验收'}
]


//验收状态
export const acceptancePhase = [
    { id: '', value: '全部' },
    {id: 1, value: '待验收'},
    {id: 2, value: '已验收'}
]

//出入库状态
export const outAndInStockStatus = [
    { id: '', value: '全部' },
    {id: 1, value: '未入库'},
    {id: 2, value: '已入库'}
]

//停用启用状态
export const useStatusList = [
    {id: '', value: '全部'},
    {id: '1', value: '已启用'},
    {id: '2', value: '已停用'}
]

//过期状态
export const expireStatusList = [
    {id: '', value: '全部'},
    {id: '1', value: '即将过期'},
    {id: '2', value: '已过期'}
]

// 调拨状态
export const allotStatusList = [
    { id: '', value: '全部' },
    { id: 0, value: '待审核' },
    { id: 2, value: '通过' },
    { id: 3, value: '驳回' },
]

// 发货状态
export const sendOutStatusList = [
    { id: '', value: '全部' },
    { id: 0, value: '待发货' },
    { id: 1, value: '已发货' },
    { id: 2, value: '已接收' },
]

// 订单状态
export const orderStatusList = [
    { id: '', value: '全部' },
    { id: 1, value: '待发货' },
    { id: 2, value: '未完成' },
    { id: 3, value: '已完成' },
]

//支付方式
export const payMethodsList = [
    {id:1, value: '免费配送'},
    {id:2, value: '在线支付'}
]

//网点级别
export const networkLevelList = [
    {id:1, value: '级别一'},
    {id:2, value: '级别二'},
    {id:3, value: '级别三'}

]

//期初库存类型
export const beginStockType = [
    {id: 1, value: '合同库存'},
    {id: 2, value: '免调库存'},
]

//证件类型
export const cardType = [
    {id:1, value:'身份证', rule:[
        {required: true, message: '请输入证件号码'},
        {
                pattern: /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/,
                message:'请输入正确的身份证号'
         }]},
        {id:2, value: '护照', rule: [{required: true, message: '请输入证件号码'}]},
        {id:3, value: '其他标识', rule: [
            {required: true, message: '请输入证件号码'},
            {
                pattern:  /^(a-z|A-Z|0-9)*[^$%^&*;:,<>?()\""\']{1,50}$/,
                message:'不能超出50个字'
            }]},
]
